%define module	libxml-perl
%define version 0.08
%define release %mkrel 2

Summary:	Various perl modules and script for working with XML
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	perl perl-XML-Parser
BuildRequires:	perl-devel perl-XML-Parser
BuildArch:	noarch

%description
The %{module} perl module is a collection of smaller Perl modules, scripts,
and documents for working with XML in Perl.  libxml-perl software works
in combination with XML::Parser, PerlSAX, XML::DOM, XML::Grove and others. 

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc Change* README
%{perl_vendorlib}/Data/*
%{perl_vendorlib}/XML/*
%{_mandir}/*/*


%changelog
* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.08-2mdv2007.0
+ Revision: 108474
- enable test, rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-libxml-perl



* Fri Nov 26 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.08-1mdk
- 0.08
- remove MANIFEST and empty directories

* Mon Aug 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.07-10mdk
- Rebuild for new perl

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.07-9mdk
- rebuild for new perl
- use %%makeinstall_std macro
- drop $RPM_OPT_FLAGS, noarch..

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.07-8mdk
- rebuild for new auto{prov,req}

* Wed Jan 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.07-7mdk
- enhanced summary & description
- fix license

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 0.07-6mdk
- cleanup
- rebuild for perl 5.8.0

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 0.07-5mdk
- BuildRequires: perl-devel

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.07-4mdk
- Rebuild for the latest perl.
- Remove Distribution and Vendor tag.
- Don't run make test for now.

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.07-3mdk
- BuildArch: noarch
- add docs
- rename spec file
- clean up spec a bit
- run automated tests

* Sat Sep 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.07-2mdk
- Call spec-helper before creating filelist

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.07-1mdk
- Macroize package
